org.eclipse.wst.jsdt.debug.core.model

## Interface IScript

    public interface IScript

Description of a `JavaScriptDebugElement` for a `ScriptReference`

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `source()` Returns the source for this script.
`java.net.URI` `sourceURI()` Returns the `URI` for this script.

### Method Detail

#### source

    java.lang.String source()

Returns the source for this script.
This method can return `null`

Returns:
  the source or `null`

#### sourceURI

    java.net.URI sourceURI()

Returns the `URI` for this script.
This method cannot return `null`

Returns:
  the `URI` for this script never `null`